<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de l&#39;espace de nommage src.globaldef</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacesrc_1_1globaldef.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Référence de l'espace de nommage src.globaldef</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a95f0c2e1eb3d7528aefb65bff692331d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1globaldef.html#a95f0c2e1eb3d7528aefb65bff692331d">firstdir</a> (l)</td></tr>
<tr class="memdesc:a95f0c2e1eb3d7528aefb65bff692331d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie le premier répertoire existant d'une liste de propositions.  <a href="namespacesrc_1_1globaldef.html#a95f0c2e1eb3d7528aefb65bff692331d">Plus de détails...</a><br /></td></tr>
<tr class="separator:a95f0c2e1eb3d7528aefb65bff692331d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:affd15a7a8689c06a866fe8086a38a1d5"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1globaldef.html#affd15a7a8689c06a866fe8086a38a1d5">licenceEn</a></td></tr>
<tr class="separator:affd15a7a8689c06a866fe8086a38a1d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9216a03daf4b9ce787ea331fa39c64b3"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1globaldef.html#a9216a03daf4b9ce787ea331fa39c64b3">userShareDir</a> = &quot;~/.scolasync&quot;</td></tr>
<tr class="separator:a9216a03daf4b9ce787ea331fa39c64b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42a0aebf3f6c40da3e92bf48524d18ef"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1globaldef.html#a42a0aebf3f6c40da3e92bf48524d18ef">logFileName</a> = &quot;~/.scolasync/scolasync.log&quot;</td></tr>
<tr class="separator:a42a0aebf3f6c40da3e92bf48524d18ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac92318fee8f2b4336c4887be6e4bf52b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1globaldef.html#ac92318fee8f2b4336c4887be6e4bf52b">markFileName</a> = &quot;~/.scolasync/marques.py&quot;</td></tr>
<tr class="separator:ac92318fee8f2b4336c4887be6e4bf52b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="a95f0c2e1eb3d7528aefb65bff692331d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95f0c2e1eb3d7528aefb65bff692331d">&#9670;&nbsp;</a></span>firstdir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.globaldef.firstdir </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>l</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Renvoie le premier répertoire existant d'une liste de propositions. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">l</td><td>la liste de propositions </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="globaldef_8py_source.html#l00047">47</a> du fichier <a class="el" href="globaldef_8py_source.html">globaldef.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des variables</h2>
<a id="affd15a7a8689c06a866fe8086a38a1d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affd15a7a8689c06a866fe8086a38a1d5">&#9670;&nbsp;</a></span>licenceEn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string src.globaldef.licenceEn</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Valeur initiale :</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;= <span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="stringliteral">    scolasync version %s:</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="stringliteral">    a program to manage file transfers between a computer and a collection</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="stringliteral">    of USB sticks.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral">    Copyright (C) 2010 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version 3 of the License, or</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
</div><!-- fragment -->
<p class="definition">Définition à la ligne <a class="el" href="globaldef_8py_source.html#l00009">9</a> du fichier <a class="el" href="globaldef_8py_source.html">globaldef.py</a>.</p>

</div>
</div>
<a id="a42a0aebf3f6c40da3e92bf48524d18ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42a0aebf3f6c40da3e92bf48524d18ef">&#9670;&nbsp;</a></span>logFileName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string src.globaldef.logFileName = &quot;~/.scolasync/scolasync.log&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="globaldef_8py_source.html#l00035">35</a> du fichier <a class="el" href="globaldef_8py_source.html">globaldef.py</a>.</p>

</div>
</div>
<a id="ac92318fee8f2b4336c4887be6e4bf52b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac92318fee8f2b4336c4887be6e4bf52b">&#9670;&nbsp;</a></span>markFileName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string src.globaldef.markFileName = &quot;~/.scolasync/marques.py&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="globaldef_8py_source.html#l00036">36</a> du fichier <a class="el" href="globaldef_8py_source.html">globaldef.py</a>.</p>

</div>
</div>
<a id="a9216a03daf4b9ce787ea331fa39c64b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9216a03daf4b9ce787ea331fa39c64b3">&#9670;&nbsp;</a></span>userShareDir</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string src.globaldef.userShareDir = &quot;~/.scolasync&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="globaldef_8py_source.html#l00034">34</a> du fichier <a class="el" href="globaldef_8py_source.html">globaldef.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1globaldef.html">globaldef</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
